import { FormObject } from "@/utils/validation-schema";
import { string } from "yup";



export const formFields: FormObject[] = [
  {
    name: "first_name",
    label: "First Name",
    type: "text",
    defaultValue: "",
    required: true,
  },
  {
    name: "last_name",
    label: "Last Name",
    type: "text",
    defaultValue: "",
    required: true,
  },
  {
    name: "email",
    label: "Email",
    type: "email",
    defaultValue: "",
    required: true,
  },
  {
    name: "phone",
    label: "Phone",
    type: "text",
    defaultValue: "",
    required: true,
  },
  {
    name: "employ_id",
    label: "Employee Id",
    type: "text",
    defaultValue: "",
    required: true,
  },
  {
    name: "is_active",
    label: "Is Active",
    type: "checkbox",
    defaultValue: "",
    required: false,
  },
  {
    name: "roles",
    label: "Roles",
    type: "autocomplete",
    defaultValue: [],
    required: false,
  },
];